version: 25.9.2
files:
  - url: Trezor-Suite-25.9.2-mac-x64.zip
    sha512: 4nngwX135fVpjYXpZpxjDG5hxdQB+EZmp/sdQ6s3xCZoRbHdLsWFyIaFNlSWFtPaOHLfrTyXzVdkIGQG7Zz/bg==
    size: 172319254
  - url: Trezor-Suite-25.9.2-mac-arm64.zip
    sha512: UFqCsGQWtjCuXRG/LKCqFbv+cnlpB27mXSGBFiCFP3x52xzl0Hj1l5j9DlZRWZgFgXiRnC1HC6Zs0m9C5J05/Q==
    size: 164990294
  - url: Trezor-Suite-25.9.2-mac-x64.dmg
    sha512: Ro70Ug5MG9vKwmr/OrYBaQ1zKnnxcva7x6UyqDadp7/vroiS2Ws+bJamiTgAJWXqmy1+VtqP+KUJG1lXFNXYwg==
    size: 178405035
  - url: Trezor-Suite-25.9.2-mac-arm64.dmg
    sha512: y1NAkfHAED1y0JEEWcBJGcIfxlYxgp609Cdn8FV1AoltAuHoSrkz0fOfGUlC+7V760kIjH7GW8bEEMYNkBt1IA==
    size: 171072161
path: Trezor-Suite-25.9.2-mac-x64.zip
sha512: 4nngwX135fVpjYXpZpxjDG5hxdQB+EZmp/sdQ6s3xCZoRbHdLsWFyIaFNlSWFtPaOHLfrTyXzVdkIGQG7Zz/bg==
releaseNotes: "### 🚀 New features\n\n- Biometric authentication is now supported—unlock Trezor Suite with Touch ID, Face ID, or Windows Hello for quick access and stronger protection.\n- MEV protection is active by default on Ethereum, Base, and BNB Smart Chain, and can be changed in Settings.\n- A new dashboard overview displays all staked assets in one place for clearer portfolio management.\n- Users can now claim the Cardano Midnight airdrop directly through Trezor Suite.\n\n### 🎨 Improvements\n\n- The approve/revoke flow for EVM token allowances has been redesigned for improved clarity and stronger security.\n- The welcome screen has been refreshed with a more consistent and polished design.\n- The flow for adding EVM accounts has been fixed—users can now add a new account even if the previous one is empty.\n- Send options have been streamlined—Locktime and Broadcast settings are now grouped under\_Advanced Send\_for better organization.\n- Graph messaging has been refined to provide clearer context and usability.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n"
releaseDate: '2025-09-16T15:25:27.043Z'
stagingPercentage: 20
